- NAME
- DESCRIPTION
- METHODS
  - Table
  - LimitToCustomRole
  - LimitToObjectId

# NAME

RT::ObjectCustomRole - collection of RT::ObjectCustomRole records

# DESCRIPTION

Collection of RT::ObjectCustomRole records. Inherits methods from RT::SearchBuilder::AddAndSort.

# METHODS

## Table

Returns name of the table where records are stored.

## LimitToCustomRole

Takes the id of an RT::CustomRole object and limits this collection.

## LimitToObjectId

Takes an ObjectId and limits the collection to object custom roles for said object.

When called multiple times the ObjectId limits are joined with OR.

← Back to index